Package ru.bitel.bgbilling.plugins.dispatch.server.dao

# Class DispatchDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Dispatch>
ru.bitel.bgbilling.common.dao.AbstractIdDao<Dispatch>
ru.bitel.bgbilling.plugins.dispatch.server.dao.DispatchDao

public class DispatchDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<Dispatch>
DAO для работы с рассылками напрямую. Вместо работы с этим DAO рекомендуется работать с `DispatchService`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DispatchDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkByContactType(int contactTypeId)`
  Проверяет наличие расссылок с таким типом контактов
  `Dispatch`
  `getDispatchFromRS(ResultSet rs)`
  Возвращает подписку, полученную из переданного ResultSet'a
  `protected Dispatch`
  `getFromRS(ResultSet rs)`
  `protected Dispatch`
  `getImpl(int id)`
  Возвращает рассылку по её коду
  `List<Dispatch>`
  `getList()`
  Возвращает список рассылок
  `boolean`
  `isOnlyOneContact(int id)`
  Проверяет возможность выбора более одного контакта
  `protected void`
  `updateImpl(Dispatch dispatch)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DispatchDao

    public DispatchDao(Connection con)

- ## Method Details

  - ### updateImpl

    protected void updateImpl(Dispatch dispatch) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Dispatch>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected Dispatch getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Dispatch>`
    Throws:
      `SQLException`

  - ### getDispatchFromRS

    public Dispatch getDispatchFromRS(ResultSet rs) throws SQLException
    Возвращает подписку, полученную из переданного ResultSet'a
    Parameters:
      `rs` -
    Returns:
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getList

    public List<Dispatch> getList() throws SQLException
    Возвращает список рассылок
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getImpl

    protected Dispatch getImpl(int id) throws SQLException
    Возвращает рассылку по её коду
    Overrides:
      `getImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Dispatch>`
    Throws:
      `SQLException`

  - ### checkByContactType

    public boolean checkByContactType(int contactTypeId) throws SQLException
    Проверяет наличие расссылок с таким типом контактов
    Parameters:
      `contactTypeId` - тип контактов
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### isOnlyOneContact

    public boolean isOnlyOneContact(int id) throws SQLException
    Проверяет возможность выбора более одного контакта
    Parameters:
      `id` - рассылки
    Returns:
    Throws:
      `SQLException`